Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IOperation

    com.change_vision.jude.api.inf.model.IOperation

All Superinterfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

    public IOperation

extends INamedElement

Interface for Operation.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract void` | `addParameter(IParameter[] parameters)` Add Parameters.
`abstract void` | `addPostCondition(String postCondition)` Add Postcondition.
`abstract void` | `addPreCondition(String preCondition)` Add Precondition.
`abstract String` | `getBodyCondition()` Get Bodycondition.
`abstract IParameter[]` | `getParameters()` Get Parameters.
`abstract String[]` | `getPostConditions()` Get Postconditions.
`abstract String[]` | `getPreConditions()` Get Preconditions.
`abstract String` | `getQualifiedReturnTypeExpression()` Get Qualified Return Type Expression.
`abstract IClass` | `getReturnType()` Get Return Type.
`abstract String` | `getReturnTypeExpression()` Get Return Type Expression.
`abstract boolean` | `isAbstract()` Check if it is abstract.
`abstract boolean` | `isLeaf()` Check if it is able to overwrite (final in Java language).
`abstract boolean` | `isStatic()` Check if it is static.
`abstract void` | `removeParameter(IParameter[] parameters)` Remove Parameters.
`abstract void` | `removePostCondition(String postCondition)` Remove Postcondition.
`abstract void` | `removePreCondition(String preCondition)` Remove Precondition.
`abstract void` | `setAbstract(boolean isAbstract)` Set Abstract.
`abstract void` | `setBodyCondition(String bodyCondition)` Set Bodycondition.
`abstract void` | `setLeaf(boolean isLeaf)` Set Leaf.
`abstract void` | `setQualifiedReturnTypeExpression(String returnType)` Set Qualified Return Type Expression.
`abstract void` | `setReturnType(IClass returnType)` Set Return Type.
`abstract void` | `setReturnTypeExpression(String returnType)` Set Return Type Expression.
`abstract void` | `setStatic(boolean isStatic)` Set Static.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getParameters

    abstract IParameter[] getParameters()

  Get Parameters.

  Returns:
    the array of Parameters. Return the empty array in case there is none.

### getReturnType

    abstract IClass getReturnType()

  Get Return Type.

  Returns:
    Return Type. Return null in case there is none.

### getReturnTypeExpression

    abstract String getReturnTypeExpression()

  Get Return Type Expression.

  Returns:
    String Type Expression. Return empty string ("") there is none.

### getQualifiedReturnTypeExpression

    abstract String getQualifiedReturnTypeExpression()

  Get Qualified Return Type Expression.

  Returns:
    String Type Expression. Return empty string ("") there is none.

### isLeaf

    abstract boolean isLeaf()

  Check if it is able to overwrite (final in Java language).

  Returns:
    true cannot overwrite / false it is able to overwrite

### isAbstract

    abstract boolean isAbstract()

  Check if it is abstract.

  Returns:
    true it is abstract / false it is not abstract

### isStatic

    abstract boolean isStatic()

  Check if it is static.

  Returns:
    true it is an operation of static / false it is not an operation of static

### addParameter

    abstract void addParameter(IParameter[] parameters)

  Add Parameters.

  Parameters:
    `parameters` - the array of Parameters. If Parameters exists in Operation, Parameter will be cloned and added to Operation.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### removeParameter

    abstract void removeParameter(IParameter[] parameters)

  Remove Parameters.

  Parameters:
    `parameters` - the array of Parameters. If Parameters do not belong to the Operation, they will not be removed.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setReturnType

    abstract void setReturnType(IClass returnType)

  Set Return Type.

  Parameters:
    `returnType` - Return Type, Null can be set as return Type to create a constructor.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setLeaf

    abstract void setLeaf(boolean isLeaf)

  Set Leaf.

  Parameters:
    `isLeaf` - true cannot overwrite / false it is able to overwrite.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setAbstract

    abstract void setAbstract(boolean isAbstract)

  Set Abstract.

  Parameters:
    `isAbstract` - true it is abstract / false it is not abstract.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setStatic

    abstract void setStatic(boolean isStatic)

  Set Static.

  Parameters:
    `isStatic` - true it is an operation of static / false it is not an operation of static
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setReturnTypeExpression

    abstract void setReturnTypeExpression(String returnType)

  Set Return Type Expression.

  Parameters:
    `type` - Return Type Expression If type "int", then type for the parameter will be int. if type like "int[][]", then type expression int[][] will be set for the parameter. if type like "int[2][2]", then type expression int[2][2] will be set for the parameter.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              INVALID_MULTIPLICITY_KEY - if the multiplicity is invalid.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.
              READ_ONLY_KEY - if a read-only element is edited.

### setQualifiedReturnTypeExpression

    abstract void setQualifiedReturnTypeExpression(String returnType)

  Set Qualified Return Type Expression.

  Parameters:
    `type` - Return Type Expression If type "int", then type for the parameter will be int. if type like "int[][]", then type expression int[][] will be set for the parameter. if type like "int[2][2]", then type expression int[2][2] will be set for the parameter.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              INVALID_MULTIPLICITY_KEY - if the multiplicity is invalid.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.
              READ_ONLY_KEY - if a read-only element is edited.

### addPreCondition

    abstract void addPreCondition(String preCondition)

  Add Precondition.

  Parameters:
    `preCondition` - Precondition
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### getPreConditions

    abstract String[] getPreConditions()

  Get Preconditions.

  Returns:
    the array of Precondition.

### removePreCondition

    abstract void removePreCondition(String preCondition)

  Remove Precondition.

  Parameters:
    `preCondition` - Precondition
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### addPostCondition

    abstract void addPostCondition(String postCondition)

  Add Postcondition.

  Parameters:
    `postCondition` - Postcondition
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### getPostConditions

    abstract String[] getPostConditions()

  Get Postconditions.

  Returns:
    the array of Postcondition.

### removePostCondition

    abstract void removePostCondition(String postCondition)

  Remove Postcondition.

  Parameters:
    `postCondition` - Postcondition
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setBodyCondition

    abstract void setBodyCondition(String bodyCondition)

  Set Bodycondition.

  Parameters:
    `bodyCondition` - Bodycondition
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### getBodyCondition

    abstract String getBodyCondition()

  Get Bodycondition.

  Returns:
    Bodycondition.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD